Back to Customers docs

Customers API Playground

Send real, HMAC-signed requests to the customers endpoints and inspect the live response.

POST/api/customers
cURL
  1. curl --location --request POST 'https://api.bitnob.com/api/customers' \
  2. --header 'Content-Type: application/json' \
  3. --header 'X-Auth-Client: {{clientId}}' \
  4. --header 'X-Auth-Timestamp: {{timestamp}}' \
  5. --header 'X-Auth-Nonce: {{nonce}}' \
  6. --header 'X-Auth-Signature: {{signature}}' \
  7. --data '{
  8. "email": "jane.doe@example.com",
  9. "first_name": "Jane",
  10. "last_name": "Doe",
  11. "phone_number": "+2348012345678",
  12. "country_code": "NGA",
  13. "customer_type": "individual",
  14. "reference": "ref-001"
  15. }'
Response
// Awaiting response...
Did you find this page useful?

Join our Discord